org.vishia.guiBzr

## Class DataFile

- java.lang.Object
- - org.vishia.guiBzr.DataFile

-     public class DataFile
      extends java.lang.Object

  This class contains the data for one file in a Component and its counterpart in the source archive.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `(package private) long` | `dateFile` Timestamp in archive and of file.
    `(package private) long` | `dateInArchive` Timestamp in archive and of file.
    `(package private) java.io.File` | `file` The real file.
    `(package private) java.lang.String` | `sLocalpath` The local path in the component, relative to the archive.
    `(package private) java.lang.String` | `sType` Type of file: chg: modified, changed new: not archived yet add: added to archive, but not commited yet del: removed, not found mov: moved or renamed in archive

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DataFile(java.io.File file, java.lang.String sLocalpath, java.lang.String sType)`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### sLocalpath

          final java.lang.String sLocalpath

      The local path in the component, relative to the archive.

    - #### file

          final java.io.File file

      The real file.

    - #### dateInArchive

          long dateInArchive

      Timestamp in archive and of file. If 0 then the file isn't existing in the archive respectively as file.

    - #### dateFile

          long dateFile

      Timestamp in archive and of file. If 0 then the file isn't existing in the archive respectively as file.

    - #### sType

          java.lang.String sType

      Type of file:
      - chg: modified, changed
      - new: not archived yet
      - add: added to archive, but not commited yet
      - del: removed, not found
      - mov: moved or renamed in archive

  - ### Constructor Detail

    - #### DataFile

          DataFile(java.io.File file,
                   java.lang.String sLocalpath,
                   java.lang.String sType)